import mysql.simplesql as sql

tables = ['accumulatesprices']


def insertAccumulateSPrices(scheme):
    code = scheme.get('code', None)
    if code:
        yield sql.Insert(table='accumulatesprices', values={'code': code, 'name': scheme.get('name', None)})


def deleteAccumulateSPrices(scheme):
    code = scheme.get('code', None)
    yield sql.Delete(table='accumulatesprices', whereFields=['code'], whereValues=[code])


def clearAccumulateSPrices():
    yield sql.DeleteAll(table='accumulatesprices')


def deleteAccumulateSPricesByCode(code):
    yield sql.Delete(table='accumulatesprices', whereFields=['code'], whereValues=[code])
