import mysql.simplesql as sql


def insertMCashUserAccess(userAccess):
    yield sql.Insert(table='molaccess', values={
        'code': userAccess.get('code', ''),
        'shopcode': userAccess.get('shopcode', ''),
        'cashcode': userAccess.get('cashcode', '')
    })


def clearMCashUserAccess():
    yield sql.DeleteAll(table='molaccess')


def deleteMCashUserAccess(userAccess):
    code = userAccess.get('code', None)
    shopcode = userAccess.get('shopcode', None)
    cashcode = userAccess.get('cashcode', None)
    if code is not None and shopcode is not None and cashcode is not None:
        yield sql.Delete(table='molaccess', whereFields=['code', 'shopcode', 'cashcode'],
                whereValues=[code, shopcode, cashcode])
